/*
   Modul: M_FONTSE.C (Headerdatei)

   geschrieben von Thomas Knneth
   Friedrich-Neuper-Str. 2b
   90552 Rthenbach

   Diese Datei ist Bestandteil der C-Version von Magic 4.0 von
   Peter Hellinger und Thomas Knneth und darf nur gem den
   Nutzungsbedingungen von Magic fr C verwendet werden

   Alle Rechte beim Autor
*/

#ifndef _MPFONTSE_
#define _MPFONTSE_

#define fsFlydial         1  /* Normaler Dialog                 */
#define fsModal           2  /* Selektor in Fenster             */
#define fsNonmodal        4  /* Selektor ist nicht-modal        */
#define fsMonospaced      8  /* monospaced Fonts als Default    */
#define fsEffect         16  /* Texteffekte auswhlen           */
#define fsColor          32  /* Farbe auswhlen                 */
#define fsRotation       64  /* Rotation einstellen             */
#define fsWidth         128  /* Breite bei FSM-Fonts einstellen */
#define fsSpeedoOnly    256  /* Nur Speedofonts anzeigen        */
#define fsBitmapOnly    512  /* Nur Bitmapfonts anzeigen        */
#define fsTruetypeOnly 1024  /* Nur Truetypefonts anzeigen      */
#define fsType1Only    2048  /* Nur Type1-Fonts anzeigen        */
#define fsFixType      4096  /* Typselektion nicht zulassen     */
#define fsOwntext      8192  /* Eigenen Text in der Auswahlbox  */

#define CloseSelector()  CallMagic(1501)
#define RedrawSelector() CallMagic(1503)

void FontSelector(int handle,const char *msg,BITSET opt);
void SampleSentence(const char* txt);
void SelectorInfo(int *win, int *xpos, int *ypos, int *font);

#endif
